XF 2.0 vBulletin 4 with Blog importer - known issue

Kier

XenForo developer
Staff member
#1
The current (2.0.1) version of the vBulletin 4 with vBulletin Blog importer will import Blog attachments from blogs created prior to installation of vBulletin 4, but will not yet import attachments that were created after the vBulletin 4 update. This will be resolved in the next release.

If you have a vBulletin 4 installation without the vBulletin Blog add-on, or if you are not interested in importing blog attachments, this issue will not affect you.

The vBulletin 3, vBulletin 3 with Blogs and vBulletin 5 importers currently have no known issues.
 
#2
We are looking forward to the new version of the importer, for the transfer of vBulletin 4 (we are many) with blogs and attachments. How long will it take to wait for this update, at least an approximate time frame. Thank you in advance for your response!
 
#3
What does all this mean in the importer 1.0.1a

Trying to import from vbulletin 4.2.4


ErrorException: [E_WARNING] htmlspecialchars_decode() expects parameter 1 to be string, array given in src/addons/XFI/Import/Importer/vBulletin.php at line 1326

  1. XF::handlePhpError()
  2. htmlspecialchars_decode() in src/addons/XFI/Import/Importer/vBulletin.php at line 1326
  3. XFI\Import\Importer\vBulletin->mapUserFields() in src/addons/XFI/Import/Importer/vBulletin.php at line 1177
  4. XFI\Import\Importer\vBulletin->setupImportUser() in src/addons/XFI/Import/Importer/vBulletin.php at line 1008
  5. XFI\Import\Importer\vBulletin->stepUsers() in src/XF/Import/Runner.php at line 160
  6. XF\Import\Runner->runStep() in src/XF/Import/Runner.php at line 74
  7. XF\Import\Runner->run() in src/XF/Admin/Controller/Import.php at line 232
  8. XF\Admin\Controller\Import->actionRun() in src/XF/Mvc/Dispatcher.php at line 249
  9. XF\Mvc\Dispatcher->dispatchClass() in src/XF/Mvc/Dispatcher.php at line 89
  10. XF\Mvc\Dispatcher->dispatchLoop() in src/XF/Mvc/Dispatcher.php at line 41
  11. XF\Mvc\Dispatcher->run() in src/XF/App.php at line 1931
  12. XF\App->run() in src/XF.php at line 328
  13. XF::runApp() in admin.php at line 13
 

Sim

Well-known member
#4
@hIBEES did you ever get an answer to that question?

I'm seeing the same error when trying to import an old vB 3.8 database into a new XF2 installation
 
#5
@hIBEES did you ever get an answer to that question?

I'm seeing the same error when trying to import an old vB 3.8 database into a new XF2 installation
Hi Sim,

No... what I did was install xf1, use the built in importer then upgraded to xf2... took around 2-3 hours with manually watching and accepting each part but that worked for me bud.

Cheers
 
Top